ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Attributes | List of all members
location_table Class Reference

This class provides description of GeoNetworking table. More...

`#include <location_table.hh>`

## Public Member Functions
| location_table ()
| Default constructor. More...
virtual | ~location_table ()
| Default destructor. More...
const bool | has_entry (const OCTETSTRING &p_mid) const
| Indicates if the GeoNetworking MID is present in the table. More...
void | add_entry (const LibItsGeoNetworking__TypesAndValues::LongPosVector &p_long_pos_vector)
| Add a new item in the location table. More...
const LibItsGeoNetworking__TypesAndValues::LongPosVector * | get_entry (const OCTETSTRING &p_mid) const
| Retrieve an item from the location table based on the GeoNetworking MID. More...
const bool | empty () const
| Indicates if the table is empty. More...
void | reset ()
| Purge the location table. More...

## Private Attributes
std::map< const unsigned long, std::shared_ptr< LibItsGeoNetworking__TypesAndValues::LongPosVector > > | _entries_by_times
std::map< const std::string, std::shared_ptr< LibItsGeoNetworking__TypesAndValues::LongPosVector > > | _entries_by_mids

## Detailed Description

This class provides description of GeoNetworking table.

Todo:

  Add time expired removal procedure

  Add reference to the GeoNetworking ETSI standard

## Constructor & Destructor Documentation

## ◆ location_table()

location_table::location_table | ( |  | ) |
| inline explicit

Default constructor.

## ◆ ~location_table()

virtual location_table::~location_table | ( |  | ) |
| inline virtual

Default destructor.

## Member Function Documentation

## ◆ add_entry()

void location_table::add_entry | ( | const LibItsGeoNetworking__TypesAndValues::LongPosVector & | p_long_pos_vector | ) |

Add a new item in the location table.

Parameters

  [in] | p_long_pos_vector | The new long position vector to add

## ◆ empty()

const bool location_table::empty | ( |  | ) | const
| inline

Indicates if the table is empty.

Returns
  true on success, false otherwise

## ◆ get_entry()

const LibItsGeoNetworking__TypesAndValues::LongPosVector * location_table::get_entry | ( | const OCTETSTRING & | p_mid | ) | const

Retrieve an item from the location table based on the GeoNetworking MID.

Parameters

  [in] | p_mid | The GeoNetworking MID

## ◆ has_entry()

const bool location_table::has_entry | ( | const OCTETSTRING & | p_mid | ) | const

Indicates if the GeoNetworking MID is present in the table.

Parameters

  [in] | p_mid | The GeoNetworking MID

Returns
  true on success, false otherwise

## ◆ reset()

void location_table::reset | ( |  | ) |
| inline

Purge the location table.

## Member Data Documentation

## ◆ _entries_by_mids

std::map<const std::string, std::shared_ptr<LibItsGeoNetworking__TypesAndValues::LongPosVector> > location_table::_entries_by_mids
| private

## ◆ _entries_by_times

std::map<const unsigned long, std::shared_ptr<LibItsGeoNetworking__TypesAndValues::LongPosVector> > location_table::_entries_by_times
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/location_table.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/location_table.cc